## NAME

r.blend - Blends color components of two raster maps by a given ratio.

## KEYWORDS

raster, composite

## SYNOPSIS

r.blend
r.blend --help
r.blend [-c] first=name second=name output=basename [percent=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Combine resulting R,G,B layers into single output map
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

first=name [required]
  Name of first raster map for blending
second=name [required]
  Name of second raster map for blending
output=basename [required]
  Basename for red, green and blue output raster maps
percent=float
  Percentage weight of first map for color blending
  Options: 0-100
  Default: 50

## DESCRIPTION

r.blend blends color components of 2 raster maps by a specified percentage of the first map.

## EXAMPLE

Blending the aspect map with the elevation map for a shaded map (North Carolina sample dataset):

    g.region raster=elevation
    r.relief input=elevation output=relief zscale=10
    r.blend -c first=elevation second=relief output=blend percent=75

Figure: Elevation blended with shaded relief

## SEE ALSO

d.shade, g.region, r.shade, r.colors, r.his, r.mapcalc, r.rgb, r.support

## AUTHORS

Unknown: probably CERL
Updated to GRASS 5.7 by Michael Barton, Arizona State University

## SOURCE CODE

Available at: r.blend source code (history)

Latest change: Saturday Jun 10 01:15:54 2023 in commit: f3c6efd1ab6fed713d1dc4a9201f976b26098492

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual